#!/bin/sh

#  PackTextures.sh
#  saveThePrincess
#
#  Created by Reuben Lee on 11-10-17.
#  Copyright (c) 2011 __MyCompanyName__. All rights reserved.

#!/bin/sh

TP="/usr/local/bin/TexturePacker"

#BEGIN NEW ADDITION
if [ -e ${TP} ]; then
echo 「TexturePacker found. Compressing images.」
else
echo 「TexturePacker does not exist. You can download it from http://texturepacker.com」
exit 0
fi
#END NEW ADDITION

if [ "${ACTION}" = "clean" ]
then
echo "cleaning..."

rm SpyVsSpy/Resources/Spritesheets/*.pvr.ccz
rm SpyVsSpy/Resources/Spritesheets/*.plist

else
echo "building..."

spritesheets=("${spritesheets[@]}" "combat_icons")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/combat_icons")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

################################################
############## Temp Section - put any pvr you need atm, so it gets out of the way first ##
##############  NOTE: This is Reuben magic - just copy from below the Kill TP line and paste here to get in new image
################################################
############## WARNING: THIS SECTION WILL GET DELETED / REPLACE REGULARLY ##
############## Make sure all pvr are in the sections below this one ##
################################################

### REALLY MAKE SURE ONCE ADDED IT GETS IN SPRITES.PLIST OR YOU WILL BE MAD AT REUBEN

spritesheets=("${spritesheets[@]}" "scratchnwin_iphone")
filenames=("${filenames[@]}" "SpyVsSpy/Art/ScratchNWin")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "scratchnwin_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/ScratchNWin")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

###### KILL TP ###############
spritesheets=("${spritesheets[@]}" "killTP")
##############################

############## Classic Section  ##
################################################

spritesheets=("${spritesheets[@]}" "black_spy_ladder_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/black_spy/ladder")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "blk_planes_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Planes/blk_spy")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_death_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/black_spy/death")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_reaction_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/black_spy/reaction")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_run_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/black_spy/run")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_walk_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/black_spy/walk")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_idle_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/black_spy/idle")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_fight_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/black_spy/fight")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_ladder_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/white_spy/ladder")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "wht_planes_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Planes/wht_spy")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_death_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/white_spy/death")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_reaction_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/white_spy/reaction")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_run_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/white_spy/run")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_walk_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/white_spy/walk")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_idle_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/white_spy/idle")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_fight_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/white_spy/fight")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_overlay_ipad_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Background/room_overlay_ipad.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_overlay_iphone_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Background/room_overlay.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_outline_ipad_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Background/room_outline_ipad.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_outline_iphone_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Background/room_outline.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_gui_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/GUI")
opts=("${opts[@]}" "RGBA8888")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "spy_deaths_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/deaths")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "spy_items_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/items")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "bouncer_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Bouncer")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "trapulator_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Trapulator")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "fight_room_overlay_ipad_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Fight_Overlay")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Room")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_objects_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomObjects")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_cover_left_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_cover_left.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_cover_right_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_cover_right.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "plane_bg_ipad_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Background/plane_background_ipad.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_aqua_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_aqua.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_blue_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_blue.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_darkYellow_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_darkYellow.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_gray_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_gray.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_green_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_green.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_lightGreen_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_lightGreen.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_lightPurple_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_lightPurple.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_lightYellow_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_lightYellow.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_orange_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_orange.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_purple_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_purple.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_red_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/room_red.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "floor_checker_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/floor_checker.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "floor_grey_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/RoomBackgrounds/floor_grey.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "combat_icons_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/Spy/combat_icons")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_overlay_colour_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Background/room_overlay_colour.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "itempack1_classic")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Classic/Game/ItemPack1")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

###### KILL TP ###############
#spritesheets=("${spritesheets[@]}" "killTP")
##############################


##############  Modern Section  ##
################################################

spritesheets=("${spritesheets[@]}" "itempack1")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/ItemPack1")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "controls_bg")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/controls_bg.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "joystick_bg")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/joystick_bg.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_overlay_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/room_overlay_ipad.png")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "fight_room_overlay_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Fight_Overlay")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_objects")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomObjects")
opts=("${opts[@]}" "RGBA8888")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "bouncer")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Bouncer")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "trapulator")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Trapulator")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Room")
opts=("${opts[@]}" "RGBA8888")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "tutorial")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Tutorial")
opts=("${opts[@]}" "RGBA8888")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_cover_left")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_cover_left.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_cover_right")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_cover_right.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_cover_blur")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_cover_blur.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

#spritesheets=("${spritesheets[@]}" "plane_bg_iphone")
#filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/plane_background_iphone.png")
#opts=("${opts[@]}" "RGB565")
#notrims=("${notrims[@]}" "--trim ")
#paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
#rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "plane_bg_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/plane_background_ipad.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_aqua")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_aqua.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_blue")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_blue.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_darkYellow")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_darkYellow.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_gray")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_gray.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_green")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_green.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_lightGreen")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_lightGreen.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_lightPurple")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_lightPurple.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_lightYellow")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_lightYellow.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_orange")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_orange.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_purple")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_purple.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_red")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/RoomBackgrounds/room_red.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "room_gui")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/GUI")
opts=("${opts[@]}" "RGBA8888")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

#spritesheets=("${spritesheets[@]}" "loading_screen_retro_iphone")
#filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/loading_screen_retro_iphone.png")
#opts=("${opts[@]}" "RGB565")
#notrims=("${notrims[@]}" "--trim ")
#paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
#rotation=("${rotation[@]}" "--enable-rotation")

#spritesheets=("${spritesheets[@]}" "loading_screen_retro_ipad")
#filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/loading_screen_retro_ipad.png")
#opts=("${opts[@]}" "RGB565")
#notrims=("${notrims[@]}" "--trim ")
#paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
#rotation=("${rotation[@]}" "--enable-rotation")

#spritesheets=("${spritesheets[@]}" "loading_screen_combat_iphone")
#filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/loading_screen_combat_iphone.png")
#opts=("${opts[@]}" "RGB565")
#notrims=("${notrims[@]}" "--trim ")
#paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
#rotation=("${rotation[@]}" "--enable-rotation")

#spritesheets=("${spritesheets[@]}" "loading_screen_combat_ipad")
#filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/loading_screen_combat_ipad.png")
#opts=("${opts[@]}" "RGB565")
#notrims=("${notrims[@]}" "--trim ")
#paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
#rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "scratchnwin_iphone")
filenames=("${filenames[@]}" "SpyVsSpy/Art/ScratchNWin")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "scratchnwin_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/ScratchNWin")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "loading_screen_points_iphone")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/loading_screen_points_iphone.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "loading_screen_points_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/loading_screen_points_ipad.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "loading_screen_trapsremedies_iphone")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/loading_screen_trapsremedies_iphone.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "loading_screen_trapsremedies_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/loading_screen_trapsremedies_ipad.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "mad_ad_iphone")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/MadAd/MADAd_iPhone.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "mad_ad_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/MadAd/MADAd_iPad.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "main_menu_bg_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/main_menu_bg_ipad.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "setting_bg")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/settings_bg.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "store_bg")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/store_bg.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "single_bg")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/single_player_bg.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "common_menu_bg")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/common_menu_bg.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "logo_splash_iphone")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/logo_splash_iphone.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "logo_splash_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/logo_splash_ipad.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

#spritesheets=("${spritesheets[@]}" "campaign_bg_iphone")
#filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/campaign_bg_iphone.png")
#opts=("${opts[@]}" "RGB565")
#notrims=("${notrims[@]}" "--trim ")
#paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
#rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "campaign_bg_ipad")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Background/campaign_bg_ipad.png")
opts=("${opts[@]}" "RGB565")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "--padding 0 --shape-padding 0 --border-padding 0 ")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "main_menu")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/Main/")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "menu_campaign")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/Campaign/")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "menu_store")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/Store/")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "menu_black_spy_laugh")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/Animations/BlackSpyLaugh")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "menu_black_spy_run")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/Animations/BlackSpyRun")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "menu_white_spy_laugh")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/Animations/WhiteSpyLaugh")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "menu_white_spy_run")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Menu/Animations/WhiteSpyRun")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "spy_deaths")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/deaths")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "wht_planes")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Planes/wht_spy")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "blk_planes")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Planes/blk_spy")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_death")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/white_spy/death")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_fight")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/white_spy/fight")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_idle")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/white_spy/idle")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_reaction")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/white_spy/reaction")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_run")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/white_spy/run")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_walk")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/white_spy/walk")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "white_spy_ladder")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/white_spy/ladder")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--no-trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "spy_items")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/items")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "combat_icons")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/combat_icons")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_death")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/black_spy/death")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_fight")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/black_spy/fight")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_idle")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/black_spy/idle")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_reaction")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/black_spy/reaction")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_run")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/black_spy/run")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_walk")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/black_spy/walk")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

spritesheets=("${spritesheets[@]}" "black_spy_ladder")
filenames=("${filenames[@]}" "SpyVsSpy/Art/Game/Spy/black_spy/ladder")
opts=("${opts[@]}" "RGBA4444")
notrims=("${notrims[@]}" "--trim ")
paddings=("${paddings[@]}" "")
rotation=("${rotation[@]}" "--enable-rotation")

count=${#spritesheets[@]}
echo
echo "total number of spritesheets = $count"

index=0

while [ "$index" -lt "$count" ]; 
do

echo "--------------------- i: $index\tspritesheet: ${spritesheets[$index]}"

spritesheet=${spritesheets[$index]}
filenname=${filenames[$index]}
opt=${opts[$index]}
trim=${notrims[$index]}
padding=${paddings[$index]}

iphoneEnding=${spritesheet:(-7)}
ipadEnding=${spritesheet:(-5)}
iphoneCEnding=${spritesheet:(-15)}

if [ "$spritesheet" = "killTP" ]
then 
exit 0
fi

if [ "$iphoneEnding" = "_iphone" ]
then 

${TP} --smart-update \
--format cocos2d \
--data SpyVsSpy/Resources/Spritesheets/$spritesheet-hd.plist \
--sheet SpyVsSpy/Resources/Spritesheets/$spritesheet-hd.pvr.ccz \
--dither-fs-alpha \
$trim \
--opt $opt \
$padding \
$rotation \
--auto-sd \
$filenname

elif [ "$iphoneCEnding" = "_iphone_classic" ]
then 

${TP} --smart-update \
--format cocos2d \
--data SpyVsSpy/Resources/Spritesheets/$spritesheet-hd.plist \
--sheet SpyVsSpy/Resources/Spritesheets/$spritesheet-hd.pvr.ccz \
--dither-fs-alpha \
$trim \
--opt $opt \
$padding \
$rotation \
--auto-sd \
$filenname

else 

${TP} --smart-update \
--format cocos2d \
--data SpyVsSpy/Resources/Spritesheets/$spritesheet-ipadhd.plist \
--sheet SpyVsSpy/Resources/Spritesheets/$spritesheet-ipadhd.pvr.ccz \
--dither-fs-alpha \
$trim \
--opt $opt \
$padding \
$rotation \
--max-size 4096 \
$filenname

${TP} --smart-update \
--format cocos2d \
--data SpyVsSpy/Resources/Spritesheets/$spritesheet-ipad.plist \
--sheet SpyVsSpy/Resources/Spritesheets/$spritesheet-ipad.pvr.ccz \
--dither-fs-alpha \
$trim \
--opt $opt \
$padding \
$rotation \
--scale 0.5 \
$filenname

${TP} --smart-update \
--format cocos2d \
--data SpyVsSpy/Resources/Spritesheets/$spritesheet-hd.plist \
--sheet SpyVsSpy/Resources/Spritesheets/$spritesheet-hd.pvr.ccz \
--dither-fs-alpha \
$trim \
--opt $opt \
$padding \
$rotation \
--scale 0.46875 \
$filenname

${TP} --smart-update \
--format cocos2d \
--data SpyVsSpy/Resources/Spritesheets/$spritesheet.plist \
--sheet SpyVsSpy/Resources/Spritesheets/$spritesheet.pvr.ccz \
--dither-fs-alpha \
$trim \
--opt $opt \
$padding \
$rotation \
--scale 0.23437 \
$filenname

fi

let "index++"
done

fi
exit 0